this generalizes some archive management scripts and gets them out of fred's custom area.
--- /dev/null
+#!/bin/bash
+
+# compares the soapbox with the real archive to see if any older stuff might be
+# left behind. if it's got a less than in front, then it's only on the soapbox drive
+# now rather than the pc's hard drive.
+
+source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
+
+function compare_archives_with_target()
+{
+ local target="$1"; shift
+
+ for currdir in $MAJOR_ARCHIVE_SOURCES; do
+ sep
+ echo "comparing '$currdir' with target '$target', where 'less thans' are on the target..."
+ compare_dirs "$target/$(basename $currdir)" "$currdir"
+ done
+}
+
+# decide which drive to compare.
+targets="$1"
+if [ -z "$targets" ]; then
+ targets=($($(which ls) -1 /media/$USERNAME))
+ if [ ${#targets[@]} -gt 1 ]; then
+ echo "
+Please provide a media drive name on the command line, because more than
+one possibility exists.
+"
+ fi
+fi
+
+echo "comparing the media drive '${targets[0]}' against local archives."
+
+compare_archives_with_target "/media/$USERNAME/${targets[0]}"
+
+sep
+
--- /dev/null
+#!/bin/bash
+
+source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
+source "$FEISTY_MEOW_SCRIPTS/archival/comparator.sh"
+
+
--- /dev/null
+#!/bin/bash
+
+source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
+
+synch_host="$1"; shift
+if [ -z "$synch_host" ]; then
+ echo This script requires a hostname where we expect to find archives.
+ exit 1
+fi
+
+echo "Updating our local archives from $synch_host: this is very raw mode, without syncthing!" | splitter
+echo
+
+for currdir in basement imaginations musix toaster walrus; do
+ if [ -d /z/$currdir ]; then
+ sep
+ echo "synching $currdir folder from $synch_host..."
+ rsync -avz "$synch_host":/z/$currdir/* /z/$currdir/
+ fi
+done
+
+sep
+
+++ /dev/null
-#!/bin/bash
-
-# compares the soapbox with the real archive to see if any older stuff might be
-# left behind. if it's got a less than in front, then it's only on the soapbox drive
-# now rather than the pc's hard drive.
-
-source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
-
-function compare_archives_with_target()
-{
- local target="$1"; shift
-
- for currdir in $MAJOR_ARCHIVE_SOURCES; do
- sep
- echo "comparing '$currdir' with target '$target', where 'less thans' are on the target..."
- compare_dirs "$target/$(basename $currdir)" "$currdir"
- done
-}
-
-#hmmm: generalize this one also.
-
-compare_archives_with_target /media/fred/soapboxdrive
-
-sep
-
+++ /dev/null
-#!/bin/bash
-
-source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
-source "$FEISTY_MEOW_SCRIPTS/archival/comparator.sh"
-
-
+++ /dev/null
-#!/bin/bash
-
-source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
-source "$FEISTY_MEOW_SCRIPTS/archival/comparator.sh"
-
-
+++ /dev/null
-#!/bin/bash
-
-source "$FEISTY_MEOW_SCRIPTS/core/launch_feisty_meow.sh"
-
-synch_host="$1"; shift
-if [ -z "$synch_host" ]; then
- echo This script requires a hostname where we expect to find archives.
- exit 1
-fi
-
-echo "Updating our local archives from $synch_host: this is very raw mode, without syncthing!" | splitter
-echo
-
-for currdir in basement imaginations musix toaster walrus; do
- if [ -d /z/$currdir ]; then
- sep
- echo "synching $currdir folder from $synch_host..."
- rsync -avz "$synch_host":/z/$currdir/* /z/$currdir/
- fi
-done
-
-sep
-